Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 20:37:54 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 18:12:47 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 17:32:59 +0000
> 
> […]
> 
>  >> My understanding is that the Stefan’s comment is an OK (for a former
>  >> patch), while your request for “someone third to resolve the tie” is
>  >> a NAK (please correct me if it’s not.)
> 
>  > It is only a NAK if it's respected.
> 
> 	I will surely respect any NAKs from those in charge of the given
> 	package, or Emacs as a whole (as per the Savannah project page.)

The file says emacs-devel is in charge, so I'm not sure who you mean
here.

>  > I cannot force anyone here to do anything, I don’t have that power.
> 
> 	We’re all volunteers here, yes.  But you can – and, I’d argue,
> 	should – /prevent/ the use of the Emacs community resources for
> 	the purposes contrary to the advancement of the project itself.

I don't know what that means in practice.  I have my opinions and
views, but who is to say whether they are or aren't contrary to the
advancement?

>  >> I appreciate the comments regarding the possible new “explicit
>  >> destination directory” feature, and I guess I can work on a possible
>  >> implementation once /this/ issue – and also #19481 – are fixed.
>  >> However, I believe that such a new feature is no substitute for a
>  >> proper fix to this bug.
> 
>  > I obviously disagree, but whatever.
> 
> 	And I’d still like to hear why you think that tar-untar-buffer
> 	/must/ use the value of default-directory local to a buffer
> 	/other/ than the one the user called this command from.

Because it's simpler, and makes the code easier to follow.